Bug 2000958 - The kubeletconfig controller has wrong assumption regarding the number of kubelet configs
Summary: The kubeletconfig controller has wrong assumption regarding the number of kub...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node
Version: 4.9
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
: 4.8.z
Assignee: Ryan Phillips
QA Contact: MinLi
URL:
Whiteboard:
Depends On: 1993922
Blocks: 1995621
TreeView+ depends on / blocked
 
Reported: 2021-09-03 11:55 UTC by OpenShift BugZilla Robot
Modified: 2022-01-18 14:45 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-12 06:01:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift machine-config-operator pull 2753 0 None None None 2021-09-08 18:23:46 UTC
Red Hat Product Errata RHBA-2021:3682 0 None None None 2021-10-12 06:01:45 UTC

Comment 4 MinLi 2021-09-29 10:19:35 UTC
verified on 4.8.0-0.nightly-2021-09-28-165247.

create 10 kubeletconfig successfully

$ oc get kubeletconfig 
NAME                    AGE
custom-kubelet-test     119m
custom-kubelet-test-1   107m
custom-kubelet-test-2   85m
custom-kubelet-test-3   71m
custom-kubelet-test-4   59m
custom-kubelet-test-5   49m
custom-kubelet-test-6   37m
custom-kubelet-test-7   24m
custom-kubelet-test-8   12m
custom-kubelet-test-9   7s

$ oc get mc | grep kubelet 
01-master-kubelet                                  76fec55feaf53866566da746f6fcf7e8b0db4686   3.2.0             7h13m
01-worker-kubelet                                  76fec55feaf53866566da746f6fcf7e8b0db4686   3.2.0             7h13m
99-worker-generated-kubelet                        76fec55feaf53866566da746f6fcf7e8b0db4686   3.2.0             143m
99-worker-generated-kubelet-1                      76fec55feaf53866566da746f6fcf7e8b0db4686   3.2.0             130m
99-worker-generated-kubelet-2                      76fec55feaf53866566da746f6fcf7e8b0db4686   3.2.0             108m
99-worker-generated-kubelet-3                      76fec55feaf53866566da746f6fcf7e8b0db4686   3.2.0             94m
99-worker-generated-kubelet-4                      76fec55feaf53866566da746f6fcf7e8b0db4686   3.2.0             82m
99-worker-generated-kubelet-5                      76fec55feaf53866566da746f6fcf7e8b0db4686   3.2.0             72m
99-worker-generated-kubelet-6                      76fec55feaf53866566da746f6fcf7e8b0db4686   3.2.0             60m
99-worker-generated-kubelet-7                      76fec55feaf53866566da746f6fcf7e8b0db4686   3.2.0             47m
99-worker-generated-kubelet-8                      76fec55feaf53866566da746f6fcf7e8b0db4686   3.2.0             35m
99-worker-generated-kubelet-9                      76fec55feaf53866566da746f6fcf7e8b0db4686   3.2.0             23m

And when creating 11th kubeletconfig , it show error:
  conditions:
  - lastTransitionTime: "2021-09-29T10:09:31Z"
    message: 'could not get kubelet config key: max number of supported kubelet config
      (10) has been reached. Please delete old kubelet configs before retrying'
    status: "False"
    type: Failure

Comment 6 errata-xmlrpc 2021-10-12 06:01:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.8.14 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:3682


Note You need to log in before you can comment on or make changes to this bug.